Erro na atualização do POP! OS (versão instalada é a 21.04)

Olá, pessoal!

Meu SO está pedindo atualização e não tô conseguindo atualizar. Vi até alguns post aqui sobre o assunto, mas nada do que está acontecendo aqui.

Podem me ajudar? Eu já tenho a versão 21.04 do pop os, mas aparece esses erros aí.

Quando clica para baixar a atualização aparecer essa mensagem aí.

O que pode ser?! Eu tenho que copiar todos esses SUDOS colar no temrinar colocar senha e aceitar tudo com Y ? Como é ?